Skip to main content
GET
/
v1
/
industrial
/
vision
/
runs
Fetch runs
curl --request GET \
  --url https://api.samsara.com/v1/industrial/vision/runs \
  --header 'Authorization: Bearer <token>'
{
  "visionRuns": [
    {
      "deviceId": 1234512345123,
      "endedAtMs": 0,
      "programId": 1,
      "reportMetadata": {
        "itemsPerMinute": 0.1,
        "noReadCount": 181,
        "rejectCount": 0,
        "successCount": 181
      },
      "startedAtMs": 1553808606097
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

durationMs
integer<int64>
required

DurationMs is a required param. This works with the EndMs parameter. Indicates the duration in which the visionRuns will be fetched

endMs
integer<int64>

EndMs is an optional param. It will default to the current time.

Response

Return runs.

visionRuns
object[]